KVM_KERNDISP(3)

NAME
kvm_kerndisp - get kernel displacement

LIBRARY
libkvm

SYNOPSIS
#include <kvm.h>
kssize_t
kvm_kerndisp(kvm_t *kd);

DESCRIPTION
kvm_kerndisp() returns the number of bytes by which the kernel referenced by kd is displaced. This is the difference between the kernel's base virtual address at run time and the kernel base virtual address specified in the kernel image file.

Note that if the kernel is moved to a lower memory address, the displacement will be negative.

RETURN VALUES
kvm_kerndisp() returns the number of bytes by which the kernel is displaced. If the kernel is not displaced or if it is not possible to find the displacement then 0 is returned.

SEE ALSO
kvm(3), kvm_close(3), kvm_open(3)